package br.com.senac.model;

public class Email extends Pojo {
	private String email;

	private int idCliente;

	public String getEmail() {
		return email;
	}

	public void setEmail(String endereco) {
		this.email = endereco;
	}

	public int getIdCliente() {
		return idCliente;
	}

	public void setIdCliente(int idCliente) {
		this.idCliente = idCliente;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (id != null ? id.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof Email)) {
			return false;
		}
		Email other = (Email) object;
		if ((this.id == null && other.id != null)
				|| (this.id != null && !this.id.equals(other.id))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "br.com.senac.model.Email[" + id + " " + email.trim() + "]: "
				+ " idCliente: " + idCliente;
	}
}
